<?php

/**
 * @file
 * Contains \Drupal\customfilter\CustomFilterListBuilder.
 */

namespace Drupal\customfilter;

// Load the class used as base.
use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
// Load the interface for entities.
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of Custom Filters.
 */
class CustomFilterListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = $this->t('Filter');
    $header['id'] = $this->t('Machine name');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row['label'] = l($this->getLabel($entity), "admin/config/content/customfilter/" . $entity->id());
    $row['id'] = $entity->id();
    // You probably want a few more properties here...
    return $row + parent::buildRow($entity);
  }
}
